# services/cassandra-auth/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: sso
resources:
  - bootstrap-jobs/cassandra-ldap-federation-job.yaml
  - bootstrap-jobs/cassandra-realm-ensure-job.yaml
  - bootstrap-jobs/cassandra-gitea-oidc-secret-ensure-job.yaml
configMapGenerator:
  - name: cassandra-gitea-oidc-secret-ensure-script
    files:
      - cassandra_gitea_oidc_secret_ensure.sh=scripts/cassandra_gitea_oidc_secret_ensure.sh
generatorOptions:
  disableNameSuffixHash: true
